Bug 165538 - PIIX locking [OLDIDE]
PIIX locking [OLDIDE]
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-10 06:02 EDT by guard
Modified: 2012-06-20 12:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description guard 2005-08-10 06:02:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr-FR; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
when i install RHEL 4 AS and install all package , after reboot of system

Grub try to load the system , but i got i message Error :

Uncompressing linux....OK,Booting the kernel.


Red hat nash version 4118 starting

 kernel panic - not syncing :drivers :drivers/ide/pci/piix.C : 390 : spin_lock(drivers/ide/ide.c / 036b8e8) already locked by drivers /ide/ide-iops.C/1234

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.if fact i don't want to scratch my installation so i will not touch the system until i will find a possible solution

Expected Results:  my rhel should run well :)

Additional info:
Comment 1 guard 2005-08-10 06:06:03 EDT
"kernel panic - not syncing :drivers "
Comment 2 Dan Carpenter 2005-08-10 18:57:25 EDT
Try booting to the UP kernel and upgrading to the kernel.
Comment 3 guard 2005-08-10 19:23:06 EDT
i don't think it's a good idea , i need in fact to use a 2.4.X kernel ; but when
i try to boot with rescue mode and have a shell to access to the system ,
command like up2date did work proprely...

Comment 4 guard 2005-08-14 06:36:45 EDT
is there somone ! up there?
Comment 5 Suzanne Hillman 2005-08-30 16:05:13 EDT
You installed RHEL4, not RHEL4 U1? Also what kind of machine is it?
Comment 8 Suzanne Hillman 2005-09-16 11:05:16 EDT
I'm somewhat confused as to why you don't want to scratch your 
installation when it sounds like it never actually booted? If at all 
possible, I would suggest installing RHEL4 U1, or waiting for RHEL4 U2, 
rather than using RHEL4 GA, in case this is not hardware specific and 
has already been resolved.

That hardware does not show up in our certification page
(https://hardware.redhat.com/hwcert/index.cgi), so it may not be supported 
by Red Hat. As this seems to be an urgent thing, you might be best off 
going through our support. In order to file a support issue, please 
either contact Red Hat's Technical Support line at 888-GO-REDHAT or file 
a web ticket at http://www.redhat.com/apps/support/.  Bugzilla is not an 
official support channel, has no response guarantees, and may not route 
your issue to the correct area to assist you.  Using the official support
channels above will guarantee that your issue is handled appropriately 
and routed to the individual or group which can best assist you with 
this issue and will also allow Red Hat to track the issue, ensuring 
that any applicable bug fix is included in all releases and is not 
dropped from a future update or major release.
Comment 9 guard 2005-09-16 12:27:47 EDT
ok thanks to have answer ; i think that i'm going to try RHEL4 U/U2
Comment 10 Jason Baron 2005-11-07 15:18:22 EST
any luck with U2?
Comment 11 guard 2005-11-08 12:40:40 EST
nop i had hope to switch to U2 .U2 have the same problem ...
so i use RHEL 3 and it work like a charm  
Comment 15 Jiri Pallich 2012-06-20 12:01:20 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.